osg::EndOfDynamicDrawBlock Class Reference

`#include <GraphicsThread>`

Inheritance diagram for osg::EndOfDynamicDrawBlock:

## Public Member Functions

| EndOfDynamicDrawBlock (unsigned int)
void | completed (osg::State *state)
Public Member Functions inherited from OpenThreads::BlockCount
| BlockCount (unsigned int blockCount)
| ~BlockCount ()
void | completed ()
void | block ()
void | reset ()
void | release ()
void | setBlockCount (unsigned int blockCount)
unsigned int | getBlockCount () const
unsigned int | getCurrentCount () const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

| ~EndOfDynamicDrawBlock ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Attributes inherited from OpenThreads::BlockCount
OpenThreads::Mutex | _mut
OpenThreads::Condition | _cond
unsigned int | _blockCount
unsigned int | _currentCount
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Constructor & Destructor Documentation

## EndOfDynamicDrawBlock()

osg::EndOfDynamicDrawBlock::EndOfDynamicDrawBlock | ( | unsigned int |  | ) |

## ~EndOfDynamicDrawBlock()

osg::EndOfDynamicDrawBlock::~EndOfDynamicDrawBlock | ( |  | ) |

inline protected

## Member Function Documentation

## completed()

void osg::EndOfDynamicDrawBlock::completed | ( | osg::State * | state | ) |

virtual

Implements osg::State::DynamicObjectRenderingCompletedCallback.

The documentation for this class was generated from the following file:

- GraphicsThread